## 66-service-boot 3.8.1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

-include config.mak
include package/targets.mak

LOWDOWN := $(shell type -p lowdown)
ifdef LOWDOWN
GENERATE_HTML := $(shell doc/make-html.sh)
GENERATE_MAN := $(shell doc/make-man.sh)
endif
INSTALL_HTML := $(wildcard doc/html/*.html)
INSTALL_MAN := $(wildcard doc/man/*/*)
INSTALL := ./tools/install.sh

install: install-module install-configure install-script install-rc-local install-seed install-html install-man
install-module: $(MODULE_TARGET:module/%=$(DESTDIR)$(service_directory)/$(package)/%)
install-configure: $(MODULE_CONFIGURE_TARGET:module/configure/configure=$(DESTDIR)$(service_directory)/$(package)/configure/configure)
install-script: $(SCRIPT_TARGET:module/configure/crypt.awk=$(DESTDIR)$(script_directory)/crypt.awk)
install-rc-local: $(SKEL_SCRIPT_TARGET:module/configure/rc.local=$(DESTDIR)$(skel_directory)/rc.local)
install-seed: $(SEED_TARGET:module/configure/boot=$(DESTDIR)$(seed_directory)/boot)
install-html: $(INSTALL_HTML:doc/html/%.html=$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html)
install-man: install-man1
install-man1: $(INSTALL_MAN:doc/man/man1/%.1=$(DESTDIR)$(mandir)/man1/%.1)

$(DESTDIR)$(service_directory)/$(package)/%: module/%
	exec $(INSTALL) -D -m 644 $< $@
	sed -i -e "s,%%ADM_CONF%%,$(adm_conf)," \
		-e "s,%%SCRIPT_DIRECTORY%%,$(script_directory)," \
		-e "s,%%SKEL_DIRECTORY%%,$(skel_directory)," \
		-e "s,%%LIVEDIR%%,$(livedir)," \
		-e "s,%%SEED_DIRECTORY%%,$(seed_directory)," \
		-e "s,%%TMPFILES_PATH%%,$(tmpfiles)," \
		-e "s,%%MODULES_PATH%%,$(modules)," \
		-e "s,%%VERSION%%,$(version)," \
		-e "s,%%HOSTNAME%%,$(HOSTNAME)," \
		-e "s,%%HARDWARECLOCK%%,$(HARDWARECLOCK)," \
		-e "s,%%TZ%%,$(TZ)," \
		-e "s,%%SETUPCONSOLE%%,$(SETUPCONSOLE)," \
		-e "s,%%TTY%%,$(TTY)," \
		-e "s,%%KEYMAP%%,$(KEYMAP)," \
		-e "s,%%FONT%%,$(FONT)," \
		-e "s,%%FONT_MAP%%,$(FONT_MAP)," \
		-e "s,%%FONT_UNIMAP%%,$(FONT_UNIMAP)," \
		-e "s,%%UDEV%%,$(UDEV)," \
		-e "s,%%SYSCTL%%,$(SYSCTL)," \
		-e "s,%%FORCECHCK%%,$(FORCECHCK)," \
		-e "s,%%LOCAL%%,$(LOCAL)," \
		-e "s,%%CONTAINER%%,$(CONTAINER)," \
		-e "s,%%TMPFILE%%,$(TMPFILE)," \
		-e "s,%%MODULE_KERNEL%%,$(MODULE_KERNEL)," \
		-e "s,%%MODULE_SYSTEM%%,$(MODULE_SYSTEM)," \
		-e "s,%%RANDOMSEED%%,$(RANDOMSEED)," \
		-e "s,%%FSTAB%%,$(FSTAB)," \
		-e "s,%%SWAP%%,$(SWAP)," \
		-e "s,%%LVM%%,$(LVM)," \
		-e "s,%%DMRAID%%,$(DMRAID)," \
		-e "s,%%MDRAID%%,$(MDRAID)," \
		-e "s,%%BTRFS%%,$(BTRFS)," \
		-e "s,%%ZFS%%,$(ZFS)," \
		-e "s,%%ZFS_IMPORT%%,$(ZFS_IMPORT)," \
		-e "s,%%CRYPTTAB%%,$(CRYPTTAB)," \
		-e "s,%%FIREWALL%%,$(FIREWALL)," \
		-e "s,%%CGROUPS%%,$(CGROUPS)," \
		-e "s,%%MNT_PROC%%,$(MNT_PROC)," \
		-e "s,%%MNT_SYS%%,$(MNT_SYS)," \
		-e "s,%%MNT_DEV%%,$(MNT_DEV)," \
		-e "s,%%MNT_RUN%%,$(MNT_RUN)," \
		-e "s,%%MNT_TMP%%,$(MNT_TMP)," \
		-e "s,%%MNT_PTS%%,$(MNT_PTS)," \
		-e "s,%%MNT_SHM%%,$(MNT_SHM)," \
		-e "s,%%MNT_NETFS%%,$(MNT_NETFS)," \
		-e "s,%%POPULATE_SYS%%,$(POPULATE_SYS)," \
		-e "s,%%POPULATE_DEV%%,$(POPULATE_DEV)," \
		-e "s,%%POPULATE_RUN%%,$(POPULATE_RUN)," \
		-e "s,%%POPULATE_TMP%%,$(POPULATE_TMP)," \
		-e "s,%%CHECK_CONFIGURATION%%,$(CHECK_CONFIGURATION)," $@

$(DESTDIR)$(service_directory)/$(package)/configure/configure: module/configure/configure
	exec $(INSTALL) -D -m 755 $< $@
	sed -i -e "s,%%BINDIR%%,$(bindir)," $@

$(DESTDIR)$(script_directory)/crypt.awk: module/configure/crypt.awk
	exec $(INSTALL) -D -m 755 $< $@
	sed -i -e "s,%%BINDIR%%,$(bindir)," $@

$(DESTDIR)$(skel_directory)/rc.local: module/configure/rc.local
	exec $(INSTALL) -D -m 755 $< $@

$(DESTDIR)$(seed_directory)/boot: module/configure/boot
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html: doc/html/%.html
	$(INSTALL) -D -m 644 $< $@
	sed -i -e "s,%%SKEL_DIRECTORY%%,$(skel_directory),g" \
		-e "s,%%SEED_DIRECTORY%%,$(seed_directory),g" $@

$(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
	$(INSTALL) -D -m 644 $< $@
	sed -i -e "s,%%SKEL_DIRECTORY%%,$(skel_directory),g" \
		-e "s,%%SEED_DIRECTORY%%,$(seed_directory),g" $@

version:
	@echo $(version)

.PHONY: install version install-html install-man

.DELETE_ON_ERROR:

## 66-service-boot 3.7.0

=== debian/changelog ===
66-service-boot (3.7.0-experimental3) UNRELEASED; urgency=medium

  * Enabled rc-local & updated version controls. 
  * Added temporary dependency to s6-66-services to prepare trasition to 66 v0.8

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 13 Jun 2025 22:22:22 +1000
 

66-service-boot (3.7.0-experimental2) UNRELEASED; urgency=medium

  * Applied patch to system-fsck frontend to resolve erratic bug caused by 66-yeller. 

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 08 Jun 2024 22:22:22 +1000

66-service-boot (3.7.0-experimental1) UNRELEASED; urgency=medium

  * Renamed & rebuilt from upstream. 

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 07 Jun 2024 22:22:22 +1000

boot-66serv (3.7.0experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from upstream.

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 31 May 2024 22:22:22 +1000

boot-66serv (3.0.0experimental1-2) UNRELEASED; urgency=medium

  * Modified debian/rules file to change default 66 values that were reported causing issues.

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 25 Feb 2024 22:22:22 +1000

boot-66serv (3.0.0experimental1-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- ProwlerGr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000

=== debian/control ===
Source: 66-service-boot
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 66 (<< 0.8.0.0),
 66-tools (>= 0.1.0.1),
 s6 (>= 2.12),
 oblibs (>= 0.2.1.0),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/66-service/arch/boot
Vcs-Browser: https://git.obarun.org/66-service/debian/66-service-boot
Vcs-Git: https://git.obarun.org/66-service/debian/66-service-boot.git

Package: 66-service-boot
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 oblibs (>= 0.2.1.0),
 66 (<< 0.8.0.0),
 66-tools (>= 0.1.0.1),
Recommends:
 s6-66-init-diversity (<< 0.0.1.0) | s6-66-init (<< 0.0.1.0),
 66-service-boot-user (<< 0.8.0),
 66-service-scandir (<< 0.8.0),
 66-service-xdg-user-dirs (<< 0.0.2),
Replaces:
 boot-66serv
Breaks:
 boot-66serv
Description: Essential 66 service module to boot a system with s6-66.
 This package contains the highly essential boot service module which 
 is highly configurable & customisable to boot a system using s6-66.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CONFIG_OPT += --package=66-service-boot
CONFIG_OPT += --version=3.7.0
#
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=/usr
#
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --enable-allstatic
CONFIG_OPT += --HOSTNAME=init-diversity
CONFIG_OPT += --TZ=ETC
CONFIG_OPT += --TTY=!2
CONFIG_OPT += --KEYMAP=!us
CONFIG_OPT += --FONT=!lat9w-16
#CONFIG_OPT += --FONT_MAP=
#CONFIG_OPT += --FONT_UNIMAP=
CONFIG_OPT += --FSTAB=!no
CONFIG_OPT += --SWAP=!yes
CONFIG_OPT += --LVM=!no
CONFIG_OPT += --DMRAID=!no
CONFIG_OPT += --BTRFS=!no
CONFIG_OPT += --ZFS=!no
CONFIG_OPT += --ZFS_IMPORT=!zpoolcache
CONFIG_OPT += --MDRAID=!no
CONFIG_OPT += --CHECK_CONFIGURATION=!no
CONFIG_OPT += --SETUPCONSOLE=!yes
CONFIG_OPT += --HARDWARECLOCK=localtime
CONFIG_OPT += --UDEV=!yes
CONFIG_OPT += --SYSCTL=!yes
CONFIG_OPT += --FORCECHCK=!no
CONFIG_OPT += --LOCAL=!yes
CONFIG_OPT += --CONTAINER=!no
CONFIG_OPT += --TMPFILE=!no
CONFIG_OPT += --MODULE_KERNEL=!no
CONFIG_OPT += --MODULE_SYSTEM=!no
CONFIG_OPT += --RANDOMSEED=!yes
CONFIG_OPT += --CRYPTTAB=!no
#CONFIG_OPT += --FIREWALL=
CONFIG_OPT += --CGROUPS=!yes
CONFIG_OPT += --MNT_PROC=!no
CONFIG_OPT += --MNT_SYS=!no
CONFIG_OPT += --MNT_DEV=!no
CONFIG_OPT += --MNT_RUN=!yes
CONFIG_OPT += --MNT_TMP=!yes
CONFIG_OPT += --MNT_PTS=!yes
CONFIG_OPT += --MNT_SHM=!yes
CONFIG_OPT += --MNT_NETFS=!no
CONFIG_OPT += --POPULATE_SYS=!yes
CONFIG_OPT += --POPULATE_DEV=!yes
CONFIG_OPT += --POPULATE_RUN=!yes
CONFIG_OPT += --POPULATE_TMP=!yes

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm -rf README.md; fi
	if test -e config.mak; then rm -rf config.mak; fi
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

override_dh_install:
	dh_install
	# Add the "!#/usr/bin/sh" shebang to rc.local
	sed -i "1i #!/usr/bin/sh" $(CURDIR)/debian/*/etc/66/rc.local

#~ 	# Remove the --bindir paths from service frontends as locations differ in Debian (not always under /usr/bin)
#~ 	set -e
#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
#~ 	# Sometimes the sed -i function leaves a temporary sed* file behind - we absolutely don't want these in our package
#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/sed* &>/dev/null;  done } 2>/dev/null
#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/user/sed* &>/dev/null;  done } 2>/dev/null

override_dh_auto_build:

## 66-service-boot 3.8.1

=== debian/changelog ===
66-service-boot (3.8.1-0experimental2) UNRELEASED; urgency=medium

  * Fixed purge option in postrm maintainer script

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

66-service-boot (3.8.1-0experimental1) UNRELEASED; urgency=medium

  * Adapted to 66 v(0.8.0.0). 
  * Updated debian/rules

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- 66 (<< 0.8.0.0),
- 66-tools (>= 0.1.0.1),
+ 66 (>= 0.8.0.0),
+ 66-tools (>= 0.1.1.0),
  s6 (>= 2.12),
- oblibs (>= 0.2.1.0),
+ oblibs (>= 0.3.0.0),
  skalibs-dev (>= 2.14),
  libs6-dev (>= 2.12),
  libexecline-dev (>= 2.9),
@@ -24,14 +24,14 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- oblibs (>= 0.2.1.0),
- 66 (<< 0.8.0.0),
- 66-tools (>= 0.1.0.1),
+ oblibs (>= 0.3.0.0),
+ 66 (>= 0.8.0.0),
+ 66-tools (>= 0.1.1.0),
 Recommends:
- s6-66-init-diversity (<< 0.0.1.0) | s6-66-init (<< 0.0.1.0),
- 66-service-boot-user (<< 0.8.0),
- 66-service-scandir (<< 0.8.0),
- 66-service-xdg-user-dirs (<< 0.0.2),
+ s6-66-init,
+ 66-service-boot-user (>= 0.5.3),
+ 66-service-scandir (>= 0.8.1),
+ 66-service-xdg-user-dirs (>= 0.0.2),
 Replaces:
  boot-66serv
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-#CONFIG_OPT += --package=66-service-boot
-CONFIG_OPT += --version=3.7.0
+#CONFIG_OPT += --package=66-service-xxxxx
+CONFIG_OPT += --version=3.8.1
 #
 CONFIG_OPT += --prefix=/usr
 CONFIG_OPT += --exec-prefix=/usr
@@ -45,7 +45,7 @@
 CONFIG_OPT += --UDEV=!yes
 CONFIG_OPT += --SYSCTL=!yes
 CONFIG_OPT += --FORCECHCK=!no
-CONFIG_OPT += --LOCAL=!yes
+CONFIG_OPT += --LOCAL=!no
 CONFIG_OPT += --CONTAINER=!no
 CONFIG_OPT += --TMPFILE=!no
 CONFIG_OPT += --MODULE_KERNEL=!no
@@ -78,17 +78,15 @@
 override_dh_auto_configure:
 	./configure -- $(CONFIG_OPT)
 
-override_dh_install:
-	dh_install
-	# Add the "!#/usr/bin/sh" shebang to rc.local
-	sed -i "1i #!/usr/bin/sh" $(CURDIR)/debian/*/etc/66/rc.local
+#override_dh_auto_install:
+#	dh_auto_install --destdir=debian/66-service-boot/
 
-#~ 	# Remove the --bindir paths from service frontends as locations differ in Debian (not always under /usr/bin)
-#~ 	set -e
-#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
-#~ 	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
-#~ 	# Sometimes the sed -i function leaves a temporary sed* file behind - we absolutely don't want these in our package
-#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/sed* &>/dev/null;  done } 2>/dev/null
-#~ 	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/user/sed* &>/dev/null;  done } 2>/dev/null
+#override_dh_install:
+#	dh_install
+	# Remove the --bindir paths from service frontends as locations differ in Debian (either /usr/bin or /usr/sbin)
+	# set -e
+	# { for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
+	# { for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
 
 override_dh_auto_build:
+

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# Direct Git.
opts="mode=git" https://git.obarun.org/66-service/debian/66-service-boot.git
#    refs/tags/v([\d\.]+)
